#!/usr/bin/python

DOCUMENTATION = r'''
---
module: decort_trunk

description: See L(Module Documentation,https://repository.basistech.ru/BASIS/decort-ansible/wiki/Home). # noqa: E501
'''

from ansible.module_utils.basic import AnsibleModule
from ansible.module_utils.decort_utils import DecortController


class DecortTrunk(DecortController):
    def __init__(self):
        super().__init__(AnsibleModule(**self.amodule_init_args))
        self.id: int = self.aparams['id']

    @property
    def amodule_init_args(self) -> dict:
        return self.pack_amodule_init_args(
            argument_spec=dict(
                id=dict(
                    type='int',
                    required=True,
                ),
            ),
            supports_check_mode=True,
        )

    def run(self):
        self.get_info()
        self.exit()

    def get_info(self):
        self.facts = self.trunk_get(id=self.id)
        self.facts['account_ids'] = self.facts.pop('accountIds')
        self.facts['created_timestamp'] = self.facts.pop('created_at')
        self.facts['deleted_timestamp'] = self.facts.pop('deleted_at')
        self.facts['updated_timestamp'] = self.facts.pop('updated_at')
        self.facts['native_vlan_id'] = self.facts.pop('nativeVlanId')
        self.facts['ovs_bridge'] = self.facts.pop('ovsBridge')
        self.facts['vlan_ids'] = self.facts.pop('trunkTags')


def main():
    DecortTrunk().run()


if __name__ == '__main__':
    main()
